unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    CheckBox1: TCheckBox;
    procedure CheckBox1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

function CzyJezykPolski :Boolean;
begin
if (GetSystemDefaultLangID=$0415) then Result:=True else Result:=False;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
if CzyJezykPolski then ShowMessage('Język polski')
                  else ShowMessage('Język inny niż polski')
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
var aktywny :Cardinal;
begin
if CheckBox1.Checked then aktywny:=0 else aktywny:=1;
SystemParametersInfo(SPI_SETSCREENSAVEACTIVE,aktywny,nil,0);
end;

end.
